Bug 593915 - dconf - a configuration system
dconf - a configuration system
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-19 23:46 EDT by Matthias Clasen
Modified: 2010-06-18 10:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-18 10:06:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2010-05-19 23:46:12 EDT
dconf is a low-level configuration system. Its main purpose is to provide a
backend to the GSettings API in GLib.

spec: http://mclasen.fedorapeople.org/dconf.spec
srpm: http://mclasen.fedorapeople.org/dconf-0.3-1.fc14.src.rpm
Comment 1 Parag AN(पराग) 2010-05-20 06:32:07 EDT
Review:
+ package builds in mock (rawhide i686).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=2198870
+ rpmlint output for SRPM and for RPM.
dconf.src: W: spelling-error %description -l en_US backend -> backed, back end, back-end
dconf.src: W: no-cleaning-of-buildroot %clean
dconf.src: W: no-buildroot-tag
dconf.src: W: no-%clean-section
dconf.x86_64: W: spelling-error %description -l en_US backend -> backed, back end, back-end
==> false messages.

+ source files match upstream url (sha1sum)
49eafdb8a845e9d618a97a97313489259093e120  dconf-0.3.tar.bz2
49eafdb8a845e9d618a97a97313489259093e120  ../SOURCES/dconf-0.3.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package dconf-0.3-1.fc14.x86_64 =>
Provides: libdconfsettings.so()(64bit)
Requires: libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.4)(64bit) libgio-2.0.so.0()(64bit) libglib-2.0.so.0()(64bit) libgmodule-2.0.so.0()(64bit) libgobject-2.0.so.0()(64bit) libgthread-2.0.so.0()(64bit) libpthread.so.0()(64bit) librt.so.1()(64bit) rtld(GNU_HASH)
+ Not a GUI application

Suggestions:
1) It will be good to include some documentation say README file which can say what this package provides. Please contact upstream and ask them to add README.

2) update summary as
Summary:        A simple key-based configuration system

APPROVED.
Comment 2 Matthias Clasen 2010-05-20 07:06:48 EDT
New Package CVS Request
=======================
Package Name: dconf
Short Description: A configuration system
Owners: mclasen
Branches: 
InitialCC:
Comment 3 Kevin Fenzi 2010-05-20 15:44:13 EDT
CVS done (by process-cvs-requests.py).
Comment 4 Parag AN(पराग) 2010-06-17 23:23:12 EDT
If this package is built already, can this review be closed now?

Note You need to log in before you can comment on or make changes to this bug.